<template>
  <a-layout id="DashboardLayout">
    <SideBar :collapsed="collapsed"/>
    <a-layout>
      <a-layout-header style="background: #fff; padding: 0">
      	<div class="container-fluid">
      		<div class="row d-flex align-items-center">
	      		<div class="col-6">
	      			<a-icon class="trigger" :type="collapsed ? 'menu-unfold' : 'menu-fold'"@click="collapsed = !collapsed"/>	
	      		</div>
	      		<div class="col-6 d-flex justify-content-end">
	      			<a-button type="danger" v-on:click="logout()">Выйти</a-button>	
	      		</div>
	      	</div>
      	</div>
      </a-layout-header>
      <a-layout-content :style="{ margin: '24px 16px', padding: '24px', background: '#fff', minHeight: '280px' }">
        <router-view />
      </a-layout-content>
    </a-layout>
  </a-layout>
</template>

<script>
import SideBar from '@/components/SideBar';
export default {
  data() {
  	return {
  		collapsed: false,
  	}
  },
  components: {
  	SideBar
  },
  created() {
  	if (this.$store.state.user === '') {
      this.logout();
    }
  },
  methods: {
  	logout() {
  		this.$localStorage.remove('access_token');
  		this.$router.push({ name: 'LoginPage' });
  	}
  }
}
</script>

<style>
#DashboardLayout {
  min-height: 100vh;
}

#DashboardLayout .trigger {
  font-size: 18px;
  line-height: 64px;
  cursor: pointer;
  transition: color .3s;
}

#DashboardLayout .trigger:hover {
  color: #1890ff;
}

.logo {
  color: #fff;
  font-size: 1.3rem;
  font-weight: 700;
}
</style>